Browse Source

init-system-helpers Debian release 1.60

-----BEGIN PGP SIGNATURE-----
 
 iQIzBAABCAAdFiEECbOsLssWnJBDRcxUauHfDWCPItwFAl/XyScACgkQauHfDWCP
 ItwBDQ/+M1WLSGY4xU3HavRPyPCTpTurmrOwr6RdJwzjKiTdrqGlU7aasvbylVZn
 nRzS1Kv3UrZjyKtoWRA8Ed7r0uuCUWJwf1jYX1G5AWPHlKNC38AaMJYMuWye/0Yl
 nvP4M2D1Eu58AxtLkQEQYC1htJ9djg/A7H3LqaWVf01YqY5k1JDD18K9vALkfosS
 SsukbVJc5fsLqqWvcw4qpVyoE5RurM9N/hTYfonzYsYPV8RlJ6zoeFTzSjqspqBc
 bBuA6vP0ALVC6WTvJLQufQnT0uLpK6NzM+Z5zjGeTFrDfsMzVusGkBqV40B3GZfB
 IO/S9qETZVY6idIX9qskKQIjxYC2L5OkEnuNXpk0oJwzjoZQF2fmHj1g/8hincim
 xWEQuY5UyCwnsTeer+G6LI0yS13Zi8amJ9lBT7jSSp0rz3DpuXe8ba/W/fu7MMPv
 eoR7FkyIOjwtMvlF9e2CDqvNgItfLp7n9KQ8e3SD0XhRNN353O2MmfqxR7LKG5Sr
 ah8sKSR4ml1GyUzOlD5PhUfGIuMRvWm1rUuj9Mxo8qgCsEW9/u3fFhGTP1Wpvxrm
 uXnKjkOqUZBgCDMwnoaAUBn9lTmogNlUr29JyTwFd6SQ5+uzoYphZoYgMZ61nupO
 OOwtJLn1OmfTKqb1t7CyBb+SkAEUXqosKruLUy0vMTyLImdRe7o=
 =4B3+
 -----END PGP SIGNATURE-----

Merge tag 'debian/1.60' into suites/unstable

init-system-helpers Debian release 1.60
tags/devuan/1.60+devuan1
Mark Hindley 9 months ago
parent
commit
ec4b08503e
8 changed files with 45 additions and 40 deletions
  1. +26
    -0
      debian/changelog
  2. +0
    -1
      debian/compat
  3. +2
    -10
      debian/control
  4. +2
    -2
      script/deb-systemd-helper
  5. +4
    -4
      script/deb-systemd-invoke
  6. +5
    -14
      script/invoke-rc.d
  7. +5
    -8
      script/service
  8. +1
    -1
      script/update-rc.d

+ 26
- 0
debian/changelog View File

@@ -1,3 +1,29 @@
init-system-helpers (1.60) unstable; urgency=medium

* deb-systemd-*, update-rc.d: Don't hard-code path to systemctl binary.
This should simplify an eventual move of systemctl from /bin to /usr/bin.
* Switch to debhelper-compat and bump compat level to 13
* Bump Standards-Version to 4.5.1
* Drop obsolete Breaks/Replaces and Conflicts
* Remove init-system-helpers.lintian-overrides, no longer needed

-- Michael Biebl <biebl@debian.org> Mon, 14 Dec 2020 21:19:00 +0100

init-system-helpers (1.59) unstable; urgency=medium

* invoke-rc.d: Remove unnecessary systemctl daemon-reload.
We have proper support in update-rc.d and debhelper nowadays, which
makes this superfluous.
* invoke-rc.d,service: Stop using ignore-dependencies.
Ignoring dependencies during bootup and shutdown can have undesired
side-effects, like changing the ordering of services and ultimately
causing them to fail. So drop this hack, which was added to work around
issues in hook scripts. We only keep a special case for reload requests,
where we schedule those with "no-block" to avoid unnecessary dead-locks.
(Closes: #960595)

-- Michael Biebl <biebl@debian.org> Thu, 19 Nov 2020 23:35:09 +0100

init-system-helpers (1.58+devuan1) unstable; urgency=medium

* Merge Debian version 1.58.


+ 0
- 1
debian/compat View File

@@ -1 +0,0 @@
11

+ 2
- 10
debian/control View File

@@ -6,11 +6,11 @@ Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
Daniel Reurich <daniel@centurion.net.nz>,
Mark Hindley <mark@hindley.org.uk>,
Svante Signell <svante.signell@gmail.com>
Standards-Version: 4.2.1
Standards-Version: 4.5.1
Origin: Devuan
Vcs-Git: https://git.devuan.org/devuan/init-system-helpers.git
Vcs-Browser: https://git.devuan.org/devuan/init-system-helpers
Build-Depends: debhelper (>= 11),
Build-Depends: debhelper-compat (= 13),
perl:any,
python3-docutils

@@ -22,15 +22,7 @@ Multi-Arch: foreign
Depends: perl-base (>= 5.20.1-3),
${misc:Depends},
${perl:Depends},
Replaces: sysv-rc (<< 2.88dsf-59.3~),
sysvinit-utils (<< 2.88dsf-59.3),
# sysv-rc now pre-depends on us and if we break them we get:
# E: This installation run will require temporarily removing the essential package sysvinit-utils:amd64 due to a Conflicts/Pre-Depends loop. This is often bad, but if you really want to do it, activate the APT::Force-LoopBreak option.
#Breaks: sysv-rc (<< 2.88dsf-59.3~)
Breaks: systemd (<< 228),
sysvinit-utils (<< 2.88dsf-59.3~),
Conflicts: file-rc (<< 0.8.17~),
openrc (<= 0.18.3-1),
Description: helper tools for all init systems
This package contains helper tools that are necessary for switching between
the various init systems that Devuan contains (e.g. sysvinit, runit-init).


+ 2
- 2
script/deb-systemd-helper View File

@@ -105,7 +105,7 @@ my $masked_state_dir = SYSTEM_INSTANCE_MASKED_STATE_DIR;
# Globals are bad, but in this specific case, it really makes things much
# easier to write and understand.
my $changed_sth;
my $has_systemctl = -x "/bin/systemctl";
my $has_systemctl = -x "/bin/systemctl" || -x "/usr/bin/systemctl";

sub error {
print STDERR "$0: error: @_\n";
@@ -268,7 +268,7 @@ sub enable {
$create_links = 1 unless no_link_installed($scriptname, $service_path);
} else {
debug "Using systemctl preset to enable $scriptname";
system("/bin/systemctl",
system("systemctl",
$instance eq "user" ? "--global" : "--system",
"--preset-mode=enable-only",
"preset", $scriptname) == 0


+ 4
- 4
script/deb-systemd-invoke View File

@@ -86,12 +86,12 @@ if ($action eq "start" || $action eq "restart") {
my @start_units = ();
for my $unit (@units) {
my $unit_installed = 0;
my $enabled_output = `/bin/systemctl is-enabled -- '$unit'`;
my $enabled_output = `systemctl is-enabled -- '$unit'`;
# matching enabled and enabled-runtime as an installed non static unit
if ($enabled_output =~ /enabled/) {
$unit_installed = 1;
}
system('/bin/systemctl', '--quiet', 'is-active', '--', $unit);
system('systemctl', '--quiet', 'is-active', '--', $unit);
my $unit_active = $?>>8 == 0 ? 1 : 0;
if (!$unit_installed && $action eq "start") {
print STDERR "$unit is a disabled or a static unit, not starting it.\n";
@@ -103,9 +103,9 @@ if ($action eq "start" || $action eq "restart") {
}
}
if (@start_units) {
exec('/bin/systemctl', $action, @start_units) or die("Could not execute systemctl: $!");
exec('systemctl', $action, @start_units) or die("Could not execute systemctl: $!");
}
exit(0);
} else {
exec '/bin/systemctl', @ARGV;
exec('systemctl', @ARGV);
}

+ 5
- 14
script/invoke-rc.d View File

@@ -484,12 +484,6 @@ if test x${FORCE} != x || test ${RC} -eq 104 ; then
fi

if [ -n "$is_systemd" ]; then
if [ -n "$DPKG_MAINTSCRIPT_PACKAGE" ]; then
# If we are called by a maintainer script, chances are good that a
# new or updated sysv init script was installed. Reload daemon to
# pick up any changes.
systemctl daemon-reload
fi
if [ "$SKIP_SYSTEMD_NATIVE" = yes ] ; then
case $(systemctl show --value --property SourcePath "${UNIT}") in
/etc/init.d/*)
@@ -504,14 +498,6 @@ if test x${FORCE} != x || test ${RC} -eq 104 ; then
fi
_state=$(systemctl -p LoadState show "${UNIT}" 2>/dev/null)

# avoid deadlocks during bootup and shutdown from units/hooks
# which call "invoke-rc.d service reload" and similar, since
# the synchronous wait plus systemd's normal behaviour of
# transactionally processing all dependencies first easily
# causes dependency loops
if ! systemctl --quiet is-active multi-user.target; then
sctl_args="--job-mode=ignore-dependencies"
fi
case $saction in
start|restart|try-restart)
[ "$_state" != "LoadState=masked" ] || exit 0
@@ -523,6 +509,11 @@ if test x${FORCE} != x || test ${RC} -eq 104 ; then
reload)
[ "$_state" != "LoadState=masked" ] || exit 0
_canreload="$(systemctl -p CanReload show ${UNIT} 2>/dev/null)"
# Don't block on reload requests during bootup and shutdown
# from units/hooks and simply schedule the task.
if ! systemctl --quiet is-system-running; then
sctl_args="--no-block"
fi
if [ "$_canreload" = "CanReload=no" ]; then
"${INITDPREFIX}${INITSCRIPTID}" "${saction}" "$@" && exit 0
else


+ 5
- 8
script/service View File

@@ -161,14 +161,6 @@ update_openrc_started_symlinks() {
if [ -n "$is_systemd" ]
then
UNIT="${SERVICE%.sh}.service"
# avoid deadlocks during bootup and shutdown from units/hooks
# which call "invoke-rc.d service reload" and similar, since
# the synchronous wait plus systemd's normal behaviour of
# transactionally processing all dependencies first easily
# causes dependency loops
if ! systemctl --quiet is-active multi-user.target; then
sctl_args="--job-mode=ignore-dependencies"
fi

case "${ACTION}" in
restart|status|try-restart)
@@ -188,6 +180,11 @@ then
;;
reload)
_canreload="$(systemctl -p CanReload show ${UNIT} 2>/dev/null)"
# Don't block on reload requests during bootup and shutdown
# from units/hooks and simply schedule the task.
if ! systemctl --quiet is-system-running; then
sctl_args="--no-block"
fi
if [ "$_canreload" = "CanReload=no" ]; then
# The reload action falls back to the sysv init script just in case
# the systemd service file does not (yet) support reload for a


+ 1
- 1
script/update-rc.d View File

@@ -136,7 +136,7 @@ sub make_systemd_links {
}

# If systemctl is available, let's use that to create the symlinks.
if (-x "/bin/systemctl") {
if (-x "/bin/systemctl" || -x "/usr/bin/systemctl") {
# Set this env var to avoid loop in systemd-sysv-install.
local $ENV{SYSTEMCTL_SKIP_SYSV} = 1;
# Use --quiet to mimic the old update-rc.d behaviour.


Loading…
Cancel
Save